Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.narrowframestore
Interface RemoteServerNarrowFrameStore

All Superinterfaces:
  Remote

All Known Implementing Classes:
  ServerNarrowFrameStore

    public interface RemoteServerNarrowFrameStore

extends Remote

A variation of the NarrowFrameStore interface that throws the RemoteException. Unfortunate that I need to write this.

Author:
  tredmond

Method Summary
`void` | `addValues(Frame frame, Slot slot, Facet facet, boolean isTemplate, Collection values, RemoteSession session)`
`boolean` | `beginTransaction(String name, RemoteSession session)`
`void` | `close(RemoteSession session)`
`boolean` | `commitTransaction(RemoteSession session)`
`void` | `deleteFrame(Frame frame, RemoteSession session)`
`Collection<Frame>` | `executeQuery(Query query, RemoteSession session)`
`Set` | `getClosure(Frame frame, Slot slot, Facet facet, boolean isTemplate, RemoteSession session)`
`int` | `getClsCount(RemoteSession session)`
`NarrowFrameStore` | `getDelegate(RemoteSession session)`
`int` | `getFacetCount(RemoteSession session)`
`Frame` | `getFrame(FrameID id, RemoteSession session)`
`int` | `getFrameCount(RemoteSession session)`
`Set<Frame>` | `getFrames(RemoteSession session)`
`Set<Frame>` | `getFrames(Slot slot, Facet facet, boolean isTemplate, Object value, RemoteSession session)`
`Set<Frame>` | `getFramesWithAnyValue(Slot slot, Facet facet, boolean isTemplate, RemoteSession session)`
`Set<Frame>` | `getMatchingFrames(Slot slot, Facet facet, boolean isTemplate, String value, int maxMatches, RemoteSession session)`
`Set<Reference>` | `getMatchingReferences(String value, int maxMatches, RemoteSession session)`
`String` | `getName(RemoteSession session)`
`Set<Reference>` | `getReferences(Object value, RemoteSession session)`
`int` | `getSimpleInstanceCount(RemoteSession session)`
`int` | `getSlotCount(RemoteSession session)`
`TransactionMonitor` | `getTransactionStatusMonitor(RemoteSession session)`
`List` | `getValues(Frame frame, Slot slot, Facet facet, boolean isTemplate, RemoteSession session)`
`int` | `getValuesCount(Frame frame, Slot slot, Facet facet, boolean isTemplate, RemoteSession session)`
`void` | `moveValue(Frame frame, Slot slot, Facet facet, boolean isTemplate, int from, int to, RemoteSession session)`
`void` | `removeValue(Frame frame, Slot slot, Facet facet, boolean isTemplate, Object value, RemoteSession session)`
`void` | `replaceFrame(Frame original, Frame replacement, RemoteSession session)`
`void` | `replaceFrame(Frame frame, RemoteSession session)`
`boolean` | `rollbackTransaction(RemoteSession session)`
`boolean` | `setCaching(RemoteSession session, boolean doCache, RemoteSession invokingSession)`
`void` | `setName(String name, RemoteSession session)`
`void` | `setValues(Frame frame, Slot slot, Facet facet, boolean isTemplate, Collection values, RemoteSession session)`

Method Detail

### getName

    String getName(RemoteSession session)
                   throws RemoteException

  Throws:
    `RemoteException`

### setName

    void setName(String name,
                 RemoteSession session)
                 throws RemoteException

  Throws:
    `RemoteException`

### getDelegate

    NarrowFrameStore getDelegate(RemoteSession session)
                                 throws RemoteException

  Throws:
    `RemoteException`

### getFrameCount

    int getFrameCount(RemoteSession session)
                      throws RemoteException

  Throws:
    `RemoteException`

### getClsCount

    int getClsCount(RemoteSession session)
                    throws RemoteException

  Throws:
    `RemoteException`

### getSlotCount

    int getSlotCount(RemoteSession session)
                     throws RemoteException

  Throws:
    `RemoteException`

### getFacetCount

    int getFacetCount(RemoteSession session)
                      throws RemoteException

  Throws:
    `RemoteException`

### getSimpleInstanceCount

    int getSimpleInstanceCount(RemoteSession session)
                               throws RemoteException

  Throws:
    `RemoteException`

### getFrames

    Set<Frame> getFrames(RemoteSession session)
                         throws RemoteException

  Throws:
    `RemoteException`

### getFrame

    Frame getFrame(FrameID id,
                   RemoteSession session)
                   throws RemoteException

  Throws:
    `RemoteException`

### getValues

    List getValues(Frame frame,
                   Slot slot,
                   Facet facet,
                   boolean isTemplate,
                   RemoteSession session)
                   throws RemoteException

  Throws:
    `RemoteException`

### getValuesCount

    int getValuesCount(Frame frame,
                       Slot slot,
                       Facet facet,
                       boolean isTemplate,
                       RemoteSession session)
                       throws RemoteException

  Throws:
    `RemoteException`

### addValues

    void addValues(Frame frame,
                   Slot slot,
                   Facet facet,
                   boolean isTemplate,
                   Collection values,
                   RemoteSession session)
                   throws RemoteException

  Throws:
    `RemoteException`

### moveValue

    void moveValue(Frame frame,
                   Slot slot,
                   Facet facet,
                   boolean isTemplate,
                   int from,
                   int to,
                   RemoteSession session)
                   throws RemoteException

  Throws:
    `RemoteException`

### removeValue

    void removeValue(Frame frame,
                     Slot slot,
                     Facet facet,
                     boolean isTemplate,
                     Object value,
                     RemoteSession session)
                     throws RemoteException

  Throws:
    `RemoteException`

### setValues

    void setValues(Frame frame,
                   Slot slot,
                   Facet facet,
                   boolean isTemplate,
                   Collection values,
                   RemoteSession session)
                   throws RemoteException

  Throws:
    `RemoteException`

### getFrames

    Set<Frame> getFrames(Slot slot,
                         Facet facet,
                         boolean isTemplate,
                         Object value,
                         RemoteSession session)
                         throws RemoteException

  Throws:
    `RemoteException`

### getFramesWithAnyValue

    Set<Frame> getFramesWithAnyValue(Slot slot,
                                     Facet facet,
                                     boolean isTemplate,
                                     RemoteSession session)
                                     throws RemoteException

  Throws:
    `RemoteException`

### getMatchingFrames

    Set<Frame> getMatchingFrames(Slot slot,
                                 Facet facet,
                                 boolean isTemplate,
                                 String value,
                                 int maxMatches,
                                 RemoteSession session)
                                 throws RemoteException

  Throws:
    `RemoteException`

### getReferences

    Set<Reference> getReferences(Object value,
                                 RemoteSession session)
                                 throws RemoteException

  Throws:
    `RemoteException`

### getMatchingReferences

    Set<Reference> getMatchingReferences(String value,
                                         int maxMatches,
                                         RemoteSession session)
                                         throws RemoteException

  Throws:
    `RemoteException`

### executeQuery

    Collection<Frame> executeQuery(Query query,
                                   RemoteSession session)
                                   throws RemoteException

  Throws:
    `RemoteException`

### deleteFrame

    void deleteFrame(Frame frame,
                     RemoteSession session)
                     throws RemoteException

  Throws:
    `RemoteException`

### close

    void close(RemoteSession session)
               throws RemoteException

  Throws:
    `RemoteException`

### getClosure

    Set getClosure(Frame frame,
                   Slot slot,
                   Facet facet,
                   boolean isTemplate,
                   RemoteSession session)
                   throws RemoteException

  Throws:
    `RemoteException`

### replaceFrame

    void replaceFrame(Frame frame,
                      RemoteSession session)
                      throws RemoteException

  Throws:
    `RemoteException`

### beginTransaction

    boolean beginTransaction(String name,
                             RemoteSession session)
                             throws RemoteException

  Throws:
    `RemoteException`

### commitTransaction

    boolean commitTransaction(RemoteSession session)
                              throws RemoteException

  Throws:
    `RemoteException`

### rollbackTransaction

    boolean rollbackTransaction(RemoteSession session)
                                throws RemoteException

  Throws:
    `RemoteException`

### getTransactionStatusMonitor

    TransactionMonitor getTransactionStatusMonitor(RemoteSession session)
                                                   throws RemoteException,
                                                          TransactionException

  Throws:
    `RemoteException`
    `TransactionException`

### replaceFrame

    void replaceFrame(Frame original,
                      Frame replacement,
                      RemoteSession session)
                      throws RemoteException

  Throws:
    `RemoteException`

### setCaching

    boolean setCaching(RemoteSession session,
                       boolean doCache,
                       RemoteSession invokingSession)
                       throws RemoteException

  Throws:
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.